<?php

class QUnit_Object {

    var $errorMessages = array();
    var $okMessages = array();

    function addErrorMessage($msg) {
        if(is_array($msg)) {
            if(count($this->errorMessages) == 0) {
                $this->setErrorMessages($msg);
            } else {
                $this->setErrorMessages(array_merge($this->errorMessages, $msg));
            }
        } else {
            if($msg != '') {
                $this->errorMessages[] = $msg;
            }
        }
    }

    function setErrorMessages($msg) {
        $this->errorMessages = $msg;
    }

    function getErrorMessages() {
        return $this->errorMessages;
    }

    function isError() {
        if(count($this->errorMessages) > 0) {
            return true;
        }
        return false;
    }

    function addOkMessage($msg) {
        if(is_array($msg)) {
            $this->setOkMessages(array_merge($this->getOkMessages(), $msg));
        } else {
            if($msg != '') {
                $this->okMessages[] = $msg;
            }
        }
    }

    function setOkMessages($msg) {
        $this->okMessages = $msg;
    }

    function getOkMessages() {
        return $this->okMessages;
    }
}

?>